Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 12 Dec 2017, 02:55
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
palemoon browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 32 of 33 [493 Posts]   Goto page: Previous 1, 2, 3, ..., 30, 31, 32, 33 Next
Author Message
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Fri 13 Oct 2017, 00:51    Post subject:  

So the problem is not the machine. I took a look at the Gentoo ebuild (like Puppy .pet) of Adobe-Flash. Among the items listed for "NPAPI_RDEPEND" in the Gentoo ebuild is ">=sys-libs/glibc-2.4". I.e. it needs AT LEAST glibc-2.4 on Gentoo. Here's the full list. Ignore the "[${MULTILIB_USEDEP}]" variable, which doesn't apply to Lucid Puppy.

Code:
NPAPI_RDEPEND="
        dev-libs/atk[${MULTILIB_USEDEP}]
        dev-libs/glib:2[${MULTILIB_USEDEP}]
        dev-libs/nspr[${MULTILIB_USEDEP}]
        dev-libs/nss[${MULTILIB_USEDEP}]
        media-libs/fontconfig[${MULTILIB_USEDEP}]
        media-libs/freetype[${MULTILIB_USEDEP}]
        >=sys-libs/glibc-2.4
        x11-libs/cairo[${MULTILIB_USEDEP}]
        x11-libs/gdk-pixbuf[${MULTILIB_USEDEP}]
        x11-libs/gtk+:2[${MULTILIB_USEDEP}]
        x11-libs/libX11[${MULTILIB_USEDEP}]
        x11-libs/libXcursor[${MULTILIB_USEDEP}]
        x11-libs/libXext[${MULTILIB_USEDEP}]
        x11-libs/libXrender[${MULTILIB_USEDEP}]
        x11-libs/libXt[${MULTILIB_USEDEP}]
        x11-libs/pango[${MULTILIB_USEDEP}]

Is there anything in the list that looks like a showstopper, besides glibc-2.4? According to Adobe's flashplayer-techspecs webpage http://www.adobe.com/products/flashplayer/tech-specs.html the requirements for linux are...

    YUM, TAR.GZ, RPM and APT packages for NPAPI and PPAPI
    Latest versions of Firefox or Google Chrome
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1494
Location: Italy

PostPosted: Fri 13 Oct 2017, 01:15    Post subject:  

I also got aware of the problem. Using an old flashplayer (version 26.0.0.143) does not throw the problem. I am in puppy 4.31 (startdust).
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1494
Location: Italy

PostPosted: Fri 13 Oct 2017, 13:34    Post subject:  

In stretch puppy closing a tab in palemoon containing flash content throws an error about missing libvdpau_i965.so. No package provides the missing lib. Flashplayer 26.0 is also affected but in some ways palemoon let see the flash content.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 734
Location: Ann Arbor MI USA

PostPosted: Sun 15 Oct 2017, 16:06    Post subject: Pale Moon with puppy linuxes - only 360p youtube html5  

Latest Pale Moon 27.5 in Lupu (Sulu) 2016 still plays youtube only 360p
Tahr with 27.4 same problem. Preferences, Content: - MSE stuff is enabled..

Seamonkey 2.4.6 and Chrome 41 offer all the resolutions but use too much RAM and I have 512MB. Smtube (I even tried version 17) only plays some Youtube videos. VLC from 2014 in Tahr does not help.

I would like 240p on older laptops and 480p or even 720p on 'new' ones (2007).
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Sun 15 Oct 2017, 17:12    Post subject: Re: Pale Moon with puppy linuxes - only 360p youtube html5  

sindi wrote:
Latest Pale Moon 27.5 in Lupu (Sulu) 2016 still plays youtube only 360p
Tahr with 27.4 same problem. Preferences, Content: - MSE stuff is enabled..

Youtube seems to remember previous settings, possibly via cookies. If you last set at 360, it'll try 360 next time, by default. Try a 1080P video, and force it to 1080P, or whatever. Hopefully, it'll remember 1080P next time E.g. https://www.youtube.com/watch?v=9dC6uJDNf64

    Click on the "cogged gear" at the bottom right of the menu (Where I have "HD")
    Select "Quality"
    What choices does it show?


Here's what I get
q.jpg
Description 
jpg

 Download 
Filename  q.jpg 
Filesize  74.18 KB 
Downloaded  19 Time(s) 
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 734
Location: Ann Arbor MI USA

PostPosted: Sun 15 Oct 2017, 17:48    Post subject: Youtube at 360p (no cookies)  

I have Pale Moon set not to accept cookies (with Youtube NOT being an exception).
I tried editing about:config and html5 stopped working which I fixed by deleting
/root/.moon* (all the settings went back to default). Only options are auto 360p.
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Sun 15 Oct 2017, 21:12    Post subject: Re: Youtube at 360p (no cookies)  

sindi wrote:
I have Pale Moon set not to accept cookies (with Youtube NOT being an exception).
I tried editing about:config and html5 stopped working which I fixed by deleting
/root/.moon* (all the settings went back to default). Only options are auto 360p.

I apologize in advance if this sounds repetitive. What do you get when you click on the work "Quality" on the roller coaster video? Wait for any commercial to finish first, because you can't tweak them.

Here's what the Youtube menu looks like, before clicking on the word "Quality". Also, do you get all 3 versions of "Big Buck Bunny" at the HTML5 test site http://www.quirksmode.org/html5/tests/video.html ?
q1.jpg
Description 
jpg

 Download 
Filename  q1.jpg 
Filesize  48.22 KB 
Downloaded  12 Time(s) 
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 734
Location: Ann Arbor MI USA

PostPosted: Mon 16 Oct 2017, 11:05    Post subject: pale moon only 360p youtube in lupu and tahr  

I see ONLY auto 360p for all youtube videos.

At the html5 test site I see Big Bunny videos in webm and ogg format but not H264 (same combination as listed for FF 4).

Flash no longer works at Youtube with either of two add-ons (youtube flash video player is one). Has Google decided that Firefox cannot play it?
I have tried various versions of Flash 10, 11 and the latest gcflash for linux.

I don't know what Seamonkey identifies as - it does offer all the resolutions in html5. Palemoon is set to User Agent Mode Firefox and the only other option is Gecko..

I got notified of a PM but it is not there.
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Mon 16 Oct 2017, 12:29    Post subject:  

I may have mentioned this already. In "about:config" toggle media.libavcodec.allow-obsolete to true. If that doesn't help, I don't know what can.
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Mon 16 Oct 2017, 12:37    Post subject: Re: pale moon only 360p youtube in lupu and tahr  

sindi wrote:
I got notified of a PM but it is not there.

Look carefully at the header near the top right corner of the page. If someone quotes all or part of a message you posted (like I'm doing now) you'll get numbers beside "Notifications". If someone sends you a PM, you'll get numbers beside "Notofications" and "Private messages". It's a bit confusing at first.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 734
Location: Ann Arbor MI USA

PostPosted: Mon 16 Oct 2017, 13:23    Post subject: private messages vs notifications of quotes  

Thanks for explaining that if I am quoted it emails me to notify me of a private message.
I use lynx (nongraphical) for the forum. I switched to Pale Moon to download your jpegs and access the link.
I should have been notified of a reply to my post not a PM.

I wonder if it is just Puppy Linux that works only at 360p with Pale Moon. I will drag out an XP computer test with.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 734
Location: Ann Arbor MI USA

PostPosted: Mon 16 Oct 2017, 16:14    Post subject: still only 360p html youtube with lupu  

Setting obsolete codec true did not help. Still will not play flash video.
I will attempt to download a video then play it.

Windows 7 can play youtube at 720p with Pale Moon but is jerky full screen (with a whopping 2GB RAM and my fastest laptop from 2007).
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 98

PostPosted: Wed 18 Oct 2017, 22:34    Post subject:  

I mentioned this in a reply to someone else on Friday 13th. The Gentoo equivalant of a "pet" is called an "ebuild". The ebuild for downloading and installing the latest Adobe-Flash requires ">=sys-libs/glibc-2.4", i.e. glibc version 2.4 or higher. This may be a problem for Puppy linux.
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 820
Location: Oslo, Norway

PostPosted: Thu 19 Oct 2017, 00:21    Post subject:  

Is there a different location for the flash-player lib in Gentoo? Do you have to use an ebuild to install it? If you download and unpack the flash_player_npapi_linux.i386.tar.gz, the contents can be just moved or copied into their respective folders. In Lucid 5.2.8.7, the libflashplayer.so goes to /usr/lib/mozilla/plugins, and the other files go to /usr/bin/, /usr/lib/ and /usr/share/, as shown in the attached /usr/ directory in the flash-player package. Depending on the distro, there may be a demand for restarting X and the WM to make things work.
My own flash-player plugin version 10-something is kept for emergencies only, so it is usually disabled.

I have switched back to my former PaleMoon 27.4.2 setup, because I have a problem in 27.5.1 with some websites with no response to mouseclicks, and no functional login window. I also had a funny problem with Youtube; no functional back and forward arrows! Impossible to replay a movie!
I am trying to find out if there are some 'self-made' modifications related to the latest version which make things go bad.

tallboy

Last edited by tallboy on Thu 19 Oct 2017, 00:35; edited 5 times in total
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1494
Location: Italy

PostPosted: Thu 19 Oct 2017, 00:27    Post subject:  

I'll survive without the flash plugin. I seldom use it e and I use the "Ask for activate" option. In puppy one could use an old version of the flash plugin for emergency use.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 32 of 33 [493 Posts]   Goto page: Previous 1, 2, 3, ..., 30, 31, 32, 33 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0715s ][ Queries: 15 (0.0182s) ][ GZIP on ]